/* Header */
/* Navigation Bar: Menu */
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    height: 6rem;
}

#hamburger-icon {
    display: none
}

.menu {
    width: 30%;
}

.menu ul {
    display: flex;
    justify-content: space-between;
    padding-left: 1.5rem;
}

.menu ul li {
    list-style: none;
}

.menu ul li a {
    text-decoration: none;
    font-size: 1.5rem;
    color: black;
    padding: 0.5rem 1.5rem;
}

.menu ul li a:hover {
    color: var(--active-color);
}

/* Navigation Bar: Authentication */
.authentication {
    padding-right: 3rem;
}

.authentication .login {
    font-size: 1.5rem;
    text-decoration: none;
    color: black;
    position: relative;

}

@keyframes linearStrip {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

.authentication .login:hover::after {
    content: "";
    position: absolute;
    bottom: -15%;
    transition: all linear 0.3s;
    left: 0;
    height: 2px;
    border-radius: 5px;
    width: 100%;
    background-color: black;
    animation-name: linearStrip;
    animation-duration: 0.3s;

}